public class CardReader {

	private ATM atm;

	/**
	 * 
	 * @param atm
	 */
	public CardReader(ATM atm) {
        this.atm = atm;
		throw new UnsupportedOperationException();
	}

	public Card readCard() {
		// TODO - implement CardReader.readCard
		throw new UnsupportedOperationException();
	}

	public void ejectCard() {
		// TODO - implement CardReader.ejectCard
		throw new UnsupportedOperationException();
	}

	public void retainCard() {
		// TODO - implement CardReader.retainCard
		throw new UnsupportedOperationException();
	}

	public ATM getAtm() {
		return atm;
	}

	public void setAtm(ATM atm) {
		this.atm = atm;
	}

}
